    CREATE TABLE Clienti(
                       C_Fiscale VARCHAR(25),
                       Nominativo VARCHAR(25),
                       Indirizzo VARCHAR(25),
                       Citta VARCHAR(25),
                       N_Telelfono VARCHAR(15),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(C_Fiscale)
                       );
    CREATE TABLE Filiali(
                       Id_Filiale VARCHAR(25),
                       Nome VARCHAR(25),
                       Citta VARCHAR(25),
                       Capitale DOUBLE,
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Id_Filiale)
                       );
    CREATE TABLE Prestiti(
                       Id_Filiale VARCHAR(25),
                       N_Prestito SHORT,
                       Importo DOUBLE,
                       Id_Ufficio VARCHAR(25),
                       Impiegato VARCHAR(25),
                       Data_Inizio DATETIME,
                       Data_Fine DATETIME,
                 CONSTRAINT brenchloan  FOREIGN KEY(Id_Filiale) REFERENCES Filiali(Id_Filiale),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(N_Prestito)
                       );
    CREATE TABLE Clienti_Prestiti(
                       C_Fiscale VARCHAR(25),
                       N_Prestito SHORT,
                 CONSTRAINT customerborrower  FOREIGN KEY(C_Fiscale) REFERENCES Clienti(C_Fiscale),
                 CONSTRAINT loanborrower  FOREIGN KEY(N_Prestito) REFERENCES Prestiti(N_Prestito),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(C_Fiscale,N_Prestito)
                       );
    CREATE TABLE ContiCorrenti(
                       Id_Filiale VARCHAR(25),
                       C_Corrente SHORT,
                       Saldo DOUBLE,
                 CONSTRAINT brenchaccount  FOREIGN KEY(Id_Filiale) REFERENCES Filiali(Id_Filiale),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(C_Corrente)
                       );
    CREATE TABLE Clienti_CC(
                       C_Fiscale VARCHAR(25),
                       C_Corrente SHORT,
                 CONSTRAINT accountdepositor  FOREIGN KEY(C_Corrente) REFERENCES ContiCorrenti(C_Corrente),
                 CONSTRAINT customerdepositor  FOREIGN KEY(C_Fiscale) REFERENCES Clienti(C_Fiscale),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(C_Fiscale,C_Corrente)
                       );
