    CREATE TABLE Camere(
                       Id_Camera VARCHAR(4),
                       Tipologia VARCHAR(1),
                       Descrizione VARCHAR(150),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Id_Camera)
                       );
    CREATE TABLE Clienti(
                       Id_Cliente INTEGER,
                       Nominativo VARCHAR(30),
                       Data_Nascita DATETIME,
                       Sesso VARCHAR(1),
                       Indirizzo VARCHAR(30),
                       Citta VARCHAR(20),
                       Telefono VARCHAR(10),
                       E_Mail VARCHAR(25),
                       Documento VARCHAR(50),
                       Carta_Credito VARCHAR(25),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Id_Cliente)
                       );
    CREATE TABLE Prenotazioni(
                       Id_Prenotazione INTEGER,
                       Id_Camera VARCHAR(4),
                       Data_Inizio DATETIME,
                       Data_Fine DATETIME,
                       Trattamento VARCHAR(3),
                       Data_Disdetta DATETIME,
                 CONSTRAINT CamerePrenotazioni  FOREIGN KEY(Id_Camera) REFERENCES Camere(Id_Camera),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Id_Prenotazione)
                       );
    CREATE TABLE Clienti_Prenotazioni(
                       Id_Cliente INTEGER,
                       Id_Prenotazione INTEGER,
                 CONSTRAINT ClientiClienti_Prenotazioni  FOREIGN KEY(Id_Cliente) REFERENCES Clienti(Id_Cliente),
                 CONSTRAINT PrenotazioniClienti_Prenotazioni  FOREIGN KEY(Id_Prenotazione) REFERENCES Prenotazioni(Id_Prenotazione),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Id_Cliente,Id_Prenotazione)
                       );
