    CREATE TABLE Classi(
                       Id_Classe VARCHAR(2),
                       Indirizzo VARCHAR(4),
                       Aula VARCHAR(50),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Id_Classe,Indirizzo)
                       );
    CREATE TABLE Studenti(
                       Matricola INTEGER,
                       Nominativo VARCHAR(30),
                       Sesso VARCHAR(1),
                       Data_Nascita DATETIME,
                       Id_Classe VARCHAR(2),
                       Indirizzo VARCHAR(4),
                 CONSTRAINT ClassiStudenti  FOREIGN KEY(Id_Classe,Indirizzo) REFERENCES Classi(Id_Classe,Indirizzo),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Matricola)
                       );
    CREATE TABLE Assenze(
                       Id_Assenza INTEGER,
                       Matricola INTEGER,
                       Data DATETIME,
                       Giustificata VARCHAR(1),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Id_Assenza),
                 CONSTRAINT StudentiAssenze  FOREIGN KEY(Matricola) REFERENCES Studenti(Matricola)
                       );
    CREATE TABLE Ingressi_Uscite_FO(
                       Id_IU_FO INTEGER,
                       Matricola INTEGER,
                       DataOra DATETIME,
                       Motivazione VARCHAR(1),
                       IU_FO VARCHAR(1),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Id_IU_FO),
                 CONSTRAINT StudentiIngressi_Uscite_FO  FOREIGN KEY(Matricola) REFERENCES Studenti(Matricola)
                       );
