    CREATE TABLE Agenti(
                       Matricola INTEGER,
                       Nominativo VARCHAR(50),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Matricola)
                       );
    CREATE TABLE Automobilisti(
                       C_Fiscale VARCHAR(16),
                       Nominativo VARCHAR(30),
                       Indirizzo VARCHAR(25),
                       Citta VARCHAR(20),
                       CAP VARCHAR(5),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(C_Fiscale)
                       );
    CREATE TABLE Auto(
                       Targa VARCHAR(10),
                       Marca VARCHAR(25),
                       Modello VARCHAR(20),
                       C_Fiscale VARCHAR(16),
                 CONSTRAINT AutomobilistiAuto  FOREIGN KEY(C_Fiscale) REFERENCES Automobilisti(C_Fiscale),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Targa)
                       );
    CREATE TABLE Infrazioni(
                       Id_Infrazione VARCHAR(10),
                       Data DATETIME,
                       Matricola INTEGER,
                       TipoInfrazione VARCHAR(25),
                       Importo DOUBLE,
                       Targa VARCHAR(10),
                 CONSTRAINT AgentiInfrazioni  FOREIGN KEY(Matricola) REFERENCES Agenti(Matricola),
                 CONSTRAINT AutoInfrazioni  FOREIGN KEY(Targa) REFERENCES Auto(Targa),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Id_Infrazione)
                       );
