    CREATE TABLE Consulenti(
                       Id_Consulente INTEGER,
                       Nominativo TEXT(30),
                       Sesso TEXT(1),
                       Data_Nascita DATETIME,
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Id_Consulente)
                       );
    CREATE TABLE Progetti(
                       Id_Progetto TEXT(10),
                       Descrizione TEXT(100),
                       Data_Inizio DATETIME,
                       Data_Fine DATETIME,
                       Avanzamento REAL,
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Id_Progetto)
                       );
    CREATE TABLE Progetti_Consulenti(
                       Id_Progetto TEXT(10),
                       Id_Consulente INTEGER,
                       Importo_Contratto INTEGER,
                 CONSTRAINT ConsulentiProgetti_Consulenti  FOREIGN KEY(Id_Consulente) REFERENCES Consulenti(Id_Consulente),
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Id_Progetto,Id_Consulente),
                 CONSTRAINT ProgettiProgetti_Consulenti  FOREIGN KEY(Id_Progetto) REFERENCES Progetti(Id_Progetto)
                       );
    CREATE TABLE Ricercatori(
                       Id_Ricercatore INTEGER,
                       Nominativo TEXT(30),
                       Sesso TEXT(1),
                       Data_Nascita DATETIME,
                       Retribuzione_Annua DOUBLE,
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Id_Ricercatore)
                       );
    CREATE TABLE Progetti_Ricercatori(
                       Id_Progetto TEXT(10),
                       Id_Ricercatore INTEGER,
                       Impegno INTEGER,
                 CONSTRAINT PrimaryKey  PRIMARY KEY(Id_Progetto,Id_Ricercatore),
                 CONSTRAINT ProgettiProgetti_Ricercatori  FOREIGN KEY(Id_Progetto) REFERENCES Progetti(Id_Progetto),
                 CONSTRAINT RicercatoriProgetti_Ricercatori  FOREIGN KEY(Id_Ricercatore) REFERENCES Ricercatori(Id_Ricercatore)
                       );
